// **********************************************************************
//
// Copyright (c) 2008-2023 VCI-Tech, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described the
// ICE_LICENSE file included this distribution.
//
// **********************************************************************

#pragma once

#include "01-common.ice"

[["java:package:com.vci.corba"]]
["cs:namespace:com.vci.corba"]

// module com {
// module vci {
// module corba {
module cache{
	// 缓存服务
	interface CacheService{
		// 重置缓存
		bool resetCache()throws common::VCIError;
		// 重置指定类型的缓存
		void resetTypeCache(string type) throws common::VCIError;
	}
}
// }}}